logsys_logger Struct Reference

## Data Fields

char | subsys [LOGSYS_MAX_SUBSYS_NAMELEN]
char * | logfile
unsigned int | mode
unsigned int | debug
int | syslog_priority
int | logfile_priority
int | init_status
int32_t | target_id
char * | files [MAX_FILES_PER_SUBSYS]
int32_t | file_idx
int32_t | dirty

## Detailed Description

Definition at line 86 of file logsys.c.

## Field Documentation

## debug

unsigned int logsys_logger::debug

Definition at line 90 of file logsys.c.

## dirty

int32_t logsys_logger::dirty

Definition at line 98 of file logsys.c.

## file_idx

int32_t logsys_logger::file_idx

Definition at line 97 of file logsys.c.

## files

char* logsys_logger::files[MAX_FILES_PER_SUBSYS]

Definition at line 96 of file logsys.c.

## init_status

int logsys_logger::init_status

Definition at line 93 of file logsys.c.

## logfile

char* logsys_logger::logfile

Definition at line 88 of file logsys.c.

## logfile_priority

int logsys_logger::logfile_priority

Definition at line 92 of file logsys.c.

## mode

unsigned int logsys_logger::mode

Definition at line 89 of file logsys.c.

## subsys

char logsys_logger::subsys[LOGSYS_MAX_SUBSYS_NAMELEN]

Definition at line 87 of file logsys.c.

Referenced by _logsys_subsys_create(), and logsys_config_mode_get().

## syslog_priority

int logsys_logger::syslog_priority

Definition at line 91 of file logsys.c.

## target_id

int32_t logsys_logger::target_id

Definition at line 95 of file logsys.c.

The documentation for this struct was generated from the following file:

- logsys.c